## CamelSpoolSettings CamelSpoolSettings |

## Functions

gboolean | camel_spool_settings_get_use_xstatus_headers ()
void | camel_spool_settings_set_use_xstatus_headers ()
gboolean | camel_spool_settings_get_listen_notifications ()
void | camel_spool_settings_set_listen_notifications ()

## Properties

gboolean | listen-notifications | Read / Write / Construct
gboolean | use-xstatus-headers | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelLocalSettings
                    ╰── CamelSpoolSettings

## Description

## Functions

### camel_spool_settings_get_use_xstatus_headers ()

    gboolean
    camel_spool_settings_get_use_xstatus_headers
                                   (CamelSpoolSettings *settings);

Returns whether to utilize both "Status" and "X-Status" headers for interoperability with mbox-based mail clients like Elm, Pine and Mutt.

#### Parameters

settings | a CamelSpoolSettings |

#### Returns

whether to use "X-Status" headers

Since: 3.2

### camel_spool_settings_set_use_xstatus_headers ()

    void
    camel_spool_settings_set_use_xstatus_headers
                                   (CamelSpoolSettings *settings,
                                    gboolean use_xstatus_headers);

Sets whether to utilize both "Status" and "X-Status" headers for interoperability with mbox-based mail clients like Elm, Pine and Mutt.

#### Parameters

settings | a CamelSpoolSettings |
use_xstatus_headers | whether to use "X-Status" headers |

Since: 3.2

### camel_spool_settings_get_listen_notifications ()

    gboolean
    camel_spool_settings_get_listen_notifications
                                   (CamelSpoolSettings *settings);

### camel_spool_settings_set_listen_notifications ()

    void
    camel_spool_settings_set_listen_notifications
                                   (CamelSpoolSettings *settings,
                                    gboolean listen_notifications);

## Property Details

### The `“listen-notifications”` property

      “listen-notifications”     gboolean

Whether to listen for file/directory change notifications.

Owner: CamelSpoolSettings

Flags: Read / Write / Construct

Default value: TRUE

### The `“use-xstatus-headers”` property

      “use-xstatus-headers”      gboolean

Whether to use X-Status headers.

Owner: CamelSpoolSettings

Flags: Read / Write / Construct

Default value: FALSE